<?php

namespace App\Http\Controllers\Api\mini;

use App\Models\User;
use App\Models\UserReset;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Log;

class AuthController extends BaseController
{
    public function login(Request $request)
    {
        $credentials = $request->only('phone', 'password');
        if(Auth::guard('mini')->attempt($credentials)) {
            $admin_user = Auth::guard('mini')->user();
            $admin_user->updateToken();
            return $this->success(['data' => $admin_user]);
        }
        return $this->error(['msg' => '账号或密码错误']);
    }

    public function loginByWechat(Request $request)
    {
        $app = app('wechat.mini_program');
        if($request->input('code')) {
            return $app->auth->session($request->input('code'));
        }
    }

    public function reset(Request $request)
    {
        $user = User::where('phone', $request->input('phone'))->first();
        if(!$user) return $this->error(['msg' => '账号不存在']);
        UserReset::create([
            'user_id' => $user->id,
            'phone' => $request->input('phone'),
            'name' => $request->input('name')
        ]);
        return $this->success();
    }
}
